<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__pra__macros" kind="group">
    <compoundname>group_pra_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__pra__macros_1ga0b5bfc5991a5627c539970d0eadfab6d" kind="define" prot="public" static="no">
        <name>CY_PRA_REG32_CLR_SET</name>
        <param><defname>regIndex</defname></param>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>(void)<ref kindref="member" refid="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4">Cy_PRA_SendCmd</ref>(CY_PRA_MSG_TYPE_REG32_CLR_SET, \
                              (regIndex), \
                              ((uint32_t)(~(field ## _Msk))), \
                              (_VAL2FLD(field, \
                              (value))))</initializer>
        <briefdescription>
<para>Provides get-clear-modify-write operations with a name field and value and writes a resulting value to the 32-bit register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="404" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="404" />
      </memberdef>
      <memberdef id="group__group__pra__macros_1ga5ce9fb4d14bcb5785633ae9c85e2df30" kind="define" prot="public" static="no">
        <name>CY_PRA_REG32_SET</name>
        <param><defname>regIndex</defname></param>
        <param><defname>value</defname></param>
        <initializer>(void)<ref kindref="member" refid="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4">Cy_PRA_SendCmd</ref>(CY_PRA_MSG_TYPE_REG32_SET, (regIndex), (value), 0UL)</initializer>
        <briefdescription>
<para>Writes the 32-bit value to the specified register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>regIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address index.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>value</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to write. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="423" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="423" />
      </memberdef>
      <memberdef id="group__group__pra__macros_1gadbc5a2cdc6f66a5803bf63e0af1a23ed" kind="define" prot="public" static="no">
        <name>CY_PRA_REG32_GET</name>
        <param><defname>regIndex</defname></param>
        <initializer>(uint32_t) <ref kindref="member" refid="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4">Cy_PRA_SendCmd</ref>(CY_PRA_MSG_TYPE_REG32_GET, (regIndex), 0UL, 0UL)</initializer>
        <briefdescription>
<para>Reads the 32-bit value from the specified register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>regIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address index.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The read value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="438" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="438" />
      </memberdef>
      <memberdef id="group__group__pra__macros_1gaa7a72304bfc3b78286931e2785292b20" kind="define" prot="public" static="no">
        <name>CY_PRA_CM0_WAKEUP</name>
        <param />
        <initializer>(void)<ref kindref="member" refid="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4">Cy_PRA_SendCmd</ref>(CY_PRA_MSG_TYPE_CM0_WAKEUP, (uint16_t) 0U, 0UL, 0UL)</initializer>
        <briefdescription>
<para>A simple request to wake up Cortex-M0+ core. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="449" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="449" />
      </memberdef>
      <memberdef id="group__group__pra__macros_1ga7e686246b491a0c07450e1a38aba9138" kind="define" prot="public" static="no">
        <name>CY_PRA_FUNCTION_CALL_RETURN_PARAM</name>
        <param><defname>msgType</defname></param>
        <param><defname>funcIndex</defname></param>
        <param><defname>param</defname></param>
        <initializer><ref kindref="member" refid="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4">Cy_PRA_SendCmd</ref>((msgType), (funcIndex), (uint32_t)(param), 0UL)</initializer>
        <briefdescription>
<para>Calls the specified function with the provided parameter and return the execution status. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>msgType</parametername>
</parameternamelist>
<parameterdescription>
<para>Function type.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>funcIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>Function reference.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the function parameter.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Function execution status. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="469" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="469" />
      </memberdef>
      <memberdef id="group__group__pra__macros_1gac5df78d09db2907ecc28da73255e84a4" kind="define" prot="public" static="no">
        <name>CY_PRA_FUNCTION_CALL_RETURN_VOID</name>
        <param><defname>msgType</defname></param>
        <param><defname>funcIndex</defname></param>
        <initializer><ref kindref="member" refid="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4">Cy_PRA_SendCmd</ref>((msgType), (funcIndex), 0UL, 0UL)</initializer>
        <briefdescription>
<para>Calls the specified function without parameter and return void. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>msgType</parametername>
</parameternamelist>
<parameterdescription>
<para>Function type.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>funcIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>Function reference.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Function execution status. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="486" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="486" />
      </memberdef>
      <memberdef id="group__group__pra__macros_1gab415d3768041c32c4a8e9e57ac6707ea" kind="define" prot="public" static="no">
        <name>CY_PRA_FUNCTION_CALL_VOID_PARAM</name>
        <param><defname>msgType</defname></param>
        <param><defname>funcIndex</defname></param>
        <param><defname>param</defname></param>
        <initializer>(void)<ref kindref="member" refid="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4">Cy_PRA_SendCmd</ref>((msgType), (funcIndex), (uint32_t)(param), 0UL)</initializer>
        <briefdescription>
<para>Calls the specified function with the provided parameter and return void. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>msgType</parametername>
</parameternamelist>
<parameterdescription>
<para>Function type.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>funcIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>Function reference.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the function parameter. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="503" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="503" />
      </memberdef>
      <memberdef id="group__group__pra__macros_1ga98cc2cf17d3299053c6598e437518ab1" kind="define" prot="public" static="no">
        <name>CY_PRA_FUNCTION_CALL_VOID_VOID</name>
        <param><defname>msgType</defname></param>
        <param><defname>funcIndex</defname></param>
        <initializer>(void)<ref kindref="member" refid="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4">Cy_PRA_SendCmd</ref>((msgType), (funcIndex), 0UL, 0UL)</initializer>
        <briefdescription>
<para>Calls the specified function without parameter and return void. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>msgType</parametername>
</parameternamelist>
<parameterdescription>
<para>Function type.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>funcIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>Function reference. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" bodystart="518" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="518" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>